Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ClientValidatorRenderer

    java.lang.Object
      javax.faces.render.ClientBehaviorRenderer
          org.richfaces.renderkit.html.ClientValidatorRenderer

    public class ClientValidatorRenderer

extends javax.faces.render.ClientBehaviorRenderer

Renderer for component class org.richfaces.renderkit.html.AjaxValidatorRenderer

Field Summary
`static org.ajax4jsf.javascript.JSReference` | `CONVERTED_VALUE_LITERAL`
`static String` | `CONVERTED_VALUE_VAR`
`static String` | `RENDERER_TYPE`
`static org.ajax4jsf.javascript.JSReference` | `VALUE_LITERAL`
`static String` | `VALUE_VAR`

Constructor Summary
`ClientValidatorRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.component.behavior.ClientBehavior behavior)`
`String` | `getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext, javax.faces.component.behavior.ClientBehavior behavior)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final String RENDERER_TYPE

See Also:
  Constant Field Values

### VALUE_VAR

    public static final String VALUE_VAR

See Also:
  Constant Field Values

### CONVERTED_VALUE_VAR

    public static final String CONVERTED_VALUE_VAR

See Also:
  Constant Field Values

### VALUE_LITERAL

    public static final org.ajax4jsf.javascript.JSReference VALUE_LITERAL

### CONVERTED_VALUE_LITERAL

    public static final org.ajax4jsf.javascript.JSReference CONVERTED_VALUE_LITERAL

Constructor Detail

### ClientValidatorRenderer

    public ClientValidatorRenderer()

Method Detail

### getScript

    public String getScript(javax.faces.component.behavior.ClientBehaviorContext behaviorContext,
                            javax.faces.component.behavior.ClientBehavior behavior)

  Overrides:
    `getScript` in class `javax.faces.render.ClientBehaviorRenderer`

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component,
                       javax.faces.component.behavior.ClientBehavior behavior)

  Overrides:
    `decode` in class `javax.faces.render.ClientBehaviorRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.